List policy payments

Retrieve payments linked to a policy. Read more about how payments work on Root in the payments guides.

Path Params
string
required

Must be a UUID. The unique identifier of the policy.

Query Params
status
array of strings, unique

An optional comma-separated list for filtering results based on payment statuses, e.g. ?status=successful,failed. By default if no statuses are specified, payments across all statuses will be returned.

payment_types
array of objects, unique

An optional comma-separated list for filtering results based on payment types, e.g. ?payment_types=premium,reversal. By default if no payment types are specified, payments across all payment types will be returned.

string

An optional filter for returning only payments whose external reference matches the provided value, e.g. ?external_ref=my-psp-reference-123.

include
array of strings, unique

An optional comma-separated list of underlying objects to include, e.g. ?include=reversal_of_payment. reversal_of_payment only applies to reversal payments and will include the original payment.

integer
1 to 100
Defaults to 30

The maximum number of items that will be contained in a single page, between 1 and 100 (inclusive).

integer
≥ 1
Defaults to 1

The page number of the entities to fetch. Must be a minimum of 1.

Response

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json